aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/dns-root-hints/APKBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/main/dns-root-hints/APKBUILD b/main/dns-root-hints/APKBUILD
index 104742480c..5bd0baa186 100644
--- a/main/dns-root-hints/APKBUILD
+++ b/main/dns-root-hints/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: tcely <dnshints-root+aports@tcely.33mail.com>
pkgname=dns-root-hints
pkgver=2019031302
-pkgrel=0
+pkgrel=1
pkgdesc="The DNS root hint(s)"
url="https://www.internic.net/domain"
arch="noarch"
@@ -62,7 +62,7 @@ snapshot() {
# commit if new version is found
if [ "$_drh_new_ver" != "$_drh_current_ver" ]; then
- check_sig
+ _check_sig
mv ${_tmp}/named.root named.root
mv ${_tmp}/named.root.sig named.root.sig
git add named.root named.root.sig
@@ -70,11 +70,11 @@ snapshot() {
fi
# cleanup
- rm "${_tmp}"/* || true
+ rm "${_tmp}"/* 2>/dev/null || true
rmdir "${_tmp}"
}
-check_sig() {
+_check_sig() {
local GNUPGHOME="$builddir/.gpg"
install -d -m 0700 "$GNUPGHOME"
gpg --import < verisign-grs-nstld-key.asc